Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Values\Content\VersionInfo Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Client\Values\Content\VersionInfo:

## Public Member Functions
| __construct (ContentService $contentService, array $data=array())
| getContentInfo ()
| Content of the content this version belongs to. More...
| getNames ()
| Returns the names computed from the name schema in the available languages. More...
| getName ($languageCode=null)
| Returns the name computed from the name schema in the given language. More...
| __get ($propertyName)
| Magic get function handling read to non public properties. More...
| __isset ($propertyName)
| Magic isset function handling isset() to non public properties. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\VersionInfo
| isDraft ()
| Returns true if version is a draft. More...
| isPublished ()
| Returns true if version is published. More...
| isArchived ()
| Returns true if version is archived. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $contentService
| $contentInfoId
| $names
Protected Attributes inherited from eZ\Publish\API\Repository\Values\Content\VersionInfo
| $id
| $versionNo
| $modificationDate
| $creatorId
| $creationDate
| $status
| $initialLanguageCode
| $languageCodes = []

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\VersionInfo
const | STATUS_DRAFT = 0
const | STATUS_PUBLISHED = 1
const | STATUS_ARCHIVED = 3
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 28 of file Core/REST/Client/Values/Content/VersionInfo.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::__construct | ( | ContentService | $contentService,
|  | array | $data = `array()`
| ) |  |

Definition at line 39 of file Core/REST/Client/Values/Content/VersionInfo.php.

References eZ\Publish\Core\REST\Client\Values\Content\VersionInfo\$contentService.

## Member Function Documentation

## ◆ __get()

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::__get | ( |  | $property | ) |

Magic get function handling read to non public properties.

Returns value for all readonly (protected) properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 83 of file Core/REST/Client/Values/Content/VersionInfo.php.

References eZ\Publish\Core\REST\Client\Values\Content\VersionInfo\getContentInfo().

## ◆ __isset()

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::__isset | ( |  | $property | ) |

Magic isset function handling isset() to non public properties.

Returns true for all (public/)protected/private properties.

@ignore This method is for internal use

Parameters

  string | $property | Name of the property

Returns
  bool

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 93 of file Core/REST/Client/Values/Content/VersionInfo.php.

## ◆ getContentInfo()

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::getContentInfo | ( |  | ) |

Content of the content this version belongs to.

Returns
  ContentInfo

Reimplemented from eZ\Publish\API\Repository\Values\Content\VersionInfo.

Definition at line 51 of file Core/REST/Client/Values/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\REST\Client\Values\Content\VersionInfo\__get().

## ◆ getName()

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::getName | ( |  | $languageCode = `null` | ) |

Returns the name computed from the name schema in the given language.

If no language is given the name in initial language of the version if present, otherwise null.

Parameters

  string | $languageCode |

Returns
  string

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageName.

Definition at line 74 of file Core/REST/Client/Values/Content/VersionInfo.php.

References eZ\Publish\API\Repository\Values\Content\VersionInfo\$initialLanguageCode.

## ◆ getNames()

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::getNames | ( |  | ) |

Returns the names computed from the name schema in the available languages.

Returns
  string[]

Implements eZ\Publish\SPI\Repository\Values\MultiLanguageName.

Definition at line 61 of file Core/REST/Client/Values/Content/VersionInfo.php.

References eZ\Publish\Core\REST\Client\Values\Content\VersionInfo\$names.

## Member Data Documentation

## ◆ $contentInfoId

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::$contentInfoId
| protected

Definition at line 34 of file Core/REST/Client/Values/Content/VersionInfo.php.

## ◆ $contentService

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::$contentService
| protected

Definition at line 31 of file Core/REST/Client/Values/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\REST\Client\Values\Content\VersionInfo\__construct().

## ◆ $names

eZ\Publish\Core\REST\Client\Values\Content\VersionInfo::$names
| protected

Definition at line 37 of file Core/REST/Client/Values/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\REST\Client\Values\Content\VersionInfo\getNames().

The documentation for this class was generated from the following file:

- Core/REST/Client/Values/Content/VersionInfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.